<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 10/06/19
 * Time: 11.15
 */

namespace FiloBlu\Rma\Model\Config\Source;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\App\Config\ScopeConfigInterface;
use FiloBlu\Rma\Helper\ChangeSizeAttributeHelper;

class AttributesMapper implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var ChangeSizeAttributeHelper
     */
    protected $changeSizeAttributeHelper;

    /**
     * AttributesMapper constructor.
     * @param ChangeSizeAttributeHelper $changeSizeAttributeHelper
     */
    public function __construct(ChangeSizeAttributeHelper $changeSizeAttributeHelper)
    {
        $this->changeSizeAttributeHelper = $changeSizeAttributeHelper;
    }

    /**
     * @return array
     */
    public function toOptionArray()
    {
        $options = $this->changeSizeAttributeHelper->getAllResolutionOptions();
        foreach ($options as $key => $option){
            $array [] = ['value'=> $option->getValue(), 'label'=> $option->getLabel()];
        }
        return $array;
    }

}