<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 14/02/20
 * Time: 16.52
 */
namespace FiloBlu\Rma\Block\Rma\Returns;

class View extends \Magento\Rma\Block\Form
{
    /**
     * @var ScopeConfigInterface
     */
    protected $scopeConfig;
    const ADDIONAL_RMA_TEXT = 'filoblu_disablerma_section/rma_additional_text_group/rma_additional_text';
    const ADDIONAL_RMA_TEXT_ENABLE ='filoblu_disablerma_section/rma_additional_text_group/rma_additional_text_enable';

    /**
     * View constructor.
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param \Magento\Framework\Data\Collection\ModelFactory $modelFactory
     * @param \Magento\Eav\Model\Form\Factory $formFactory
     * @param \Magento\Eav\Model\Config $eavConfig
     * @param array $data
     */
    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Data\Collection\ModelFactory $modelFactory, \Magento\Eav\Model\Form\Factory $formFactory, \Magento\Eav\Model\Config $eavConfig, array $data = [])
    {
        parent::__construct($context, $modelFactory, $formFactory, $eavConfig, $data);
        $this->scopeConfig = $context->getScopeConfig();

    }


    /**
     * @return string
     */
    public function getAdditionalText(){
        if($this->scopeConfig->getValue(self::ADDIONAL_RMA_TEXT_ENABLE,\Magento\Store\Model\ScopeInterface::SCOPE_STORE)){
            return $this->scopeConfig->getValue(self::ADDIONAL_RMA_TEXT,\Magento\Store\Model\ScopeInterface::SCOPE_STORE) ?? '';
        }
    }

}